Package com.io7m.jregions.core.unparameterized.volumes

# Class VolumeXYZSplitD.Builder<T extends VolumeDType>

java.lang.Object
com.io7m.jregions.core.unparameterized.volumes.VolumeXYZSplitD.Builder<T>

Enclosing class:
  VolumeXYZSplitD<T extends VolumeDType>

public static final class VolumeXYZSplitD.Builder<T extends VolumeDType> extends Object
Builds instances of type `VolumeXYZSplitD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VolumeXYZSplitD<T>`
  `build()`
  Builds a new `VolumeXYZSplitD`.
  `final VolumeXYZSplitD.Builder<T>`
  `from(VolumeXYZSplitDType<T> instance)`
  Fill a builder with attribute values from the provided `VolumeXYZSplitDType` instance.
  `final VolumeXYZSplitD.Builder<T>`
  `setX0y0z0(T x0y0z0)`
  Initializes the value for the `x0y0z0` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX0y0z1(T x0y0z1)`
  Initializes the value for the `x0y0z1` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX0y1z0(T x0y1z0)`
  Initializes the value for the `x0y1z0` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX0y1z1(T x0y1z1)`
  Initializes the value for the `x0y1z1` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX1y0z0(T x1y0z0)`
  Initializes the value for the `x1y0z0` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX1y0z1(T x1y0z1)`
  Initializes the value for the `x1y0z1` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX1y1z0(T x1y1z0)`
  Initializes the value for the `x1y1z0` attribute.
  `final VolumeXYZSplitD.Builder<T>`
  `setX1y1z1(T x1y1z1)`
  Initializes the value for the `x1y1z1` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeXYZSplitD.Builder<T> from(VolumeXYZSplitDType<T> instance)
    Fill a builder with attribute values from the provided `VolumeXYZSplitDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y0z0

    public final VolumeXYZSplitD.Builder<T> setX0y0z0(T x0y0z0)
    Initializes the value for the `x0y0z0` attribute.
    Parameters:
      `x0y0z0` - The value for x0y0z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y0z0

    public final VolumeXYZSplitD.Builder<T> setX1y0z0(T x1y0z0)
    Initializes the value for the `x1y0z0` attribute.
    Parameters:
      `x1y0z0` - The value for x1y0z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y1z0

    public final VolumeXYZSplitD.Builder<T> setX0y1z0(T x0y1z0)
    Initializes the value for the `x0y1z0` attribute.
    Parameters:
      `x0y1z0` - The value for x0y1z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y1z0

    public final VolumeXYZSplitD.Builder<T> setX1y1z0(T x1y1z0)
    Initializes the value for the `x1y1z0` attribute.
    Parameters:
      `x1y1z0` - The value for x1y1z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y0z1

    public final VolumeXYZSplitD.Builder<T> setX0y0z1(T x0y0z1)
    Initializes the value for the `x0y0z1` attribute.
    Parameters:
      `x0y0z1` - The value for x0y0z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y0z1

    public final VolumeXYZSplitD.Builder<T> setX1y0z1(T x1y0z1)
    Initializes the value for the `x1y0z1` attribute.
    Parameters:
      `x1y0z1` - The value for x1y0z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y1z1

    public final VolumeXYZSplitD.Builder<T> setX0y1z1(T x0y1z1)
    Initializes the value for the `x0y1z1` attribute.
    Parameters:
      `x0y1z1` - The value for x0y1z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y1z1

    public final VolumeXYZSplitD.Builder<T> setX1y1z1(T x1y1z1)
    Initializes the value for the `x1y1z1` attribute.
    Parameters:
      `x1y1z1` - The value for x1y1z1
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeXYZSplitD<T> build()
    Builds a new `VolumeXYZSplitD`.
    Returns:
      An immutable instance of VolumeXYZSplitD
    Throws:
      `IllegalStateException` - if any required attributes are missing